glibmm 2.4: Gio::UnixInputStream Class Reference

Main Page Widgets glibmm Namespaces Book

# Gio::UnixInputStream Class Reference
[Stream Classes]

UnixInputStream implements InputStream for reading from a unix file descriptor, including asynchronous operations. More...

Inheritance diagram for Gio::UnixInputStream:

[legend]

List of all members.

## Public Member Functions
virtual | ~UnixInputStream ()
GUnixInputStream* | gobj ()
| Provides access to the underlying C GObject.
const GUnixInputStream* | gobj () const
| Provides access to the underlying C GObject.
GUnixInputStream* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr <UnixInputStream> | create (int fd, bool close_fd_at_close)
## Protected Member Functions
| UnixInputStream (int fd, bool close_fd_at_close)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr <Gio::UnixInputStream> | wrap (GUnixInputStream* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

UnixInputStream implements InputStream for reading from a unix file descriptor, including asynchronous operations.

The file descriptor must be selectable, so it doesn't work with opened files.

Since glibmm 2.16:

## Constructor & Destructor Documentation

virtual Gio::UnixInputStream::~UnixInputStream | ( |  | ) | `[virtual]`

Gio::UnixInputStream::UnixInputStream | ( | int | fd,
|  | bool | close_fd_at_close |
| ) |  |  | `[explicit, protected]`

## Member Function Documentation

GUnixInputStream* Gio::UnixInputStream::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::InputStream.

const GUnixInputStream* Gio::UnixInputStream::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::InputStream.

GUnixInputStream* Gio::UnixInputStream::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gio::InputStream.

static Glib::RefPtr<UnixInputStream> Gio::UnixInputStream::create | ( | int | fd,
|  | bool | close_fd_at_close |
| ) |  |  | `[static]`

## Friends And Related Function Documentation

Glib::RefPtr<Gio::UnixInputStream> wrap | ( | GUnixInputStream * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- unixinputstream.h